Subject: Re: [PATCH 2/2] docs: convert "concept" manpages to git-*

From: Jonathan Nieder <[email-masked]>
Date: Fri, 1 Feb 2013 11:25:59 -0800

Jeff King wrote:

> Let's just call everything git-*, which is simpler. This
> patch renames the documentation files, updates the Makefile
> to find them, and updates internal linkgit references to the
> pages. It updates builtin/help.c so that users of "git help
> foo" will not even notice the difference.
>
> Users of external html links, or users who have trained
> their fingers to type "man gitfoo" will notice the missing
> pages. This patch does not install a "this page has moved"
> placeholder, but that can easily be done on top.

Thanks for writing this.

I think this one should wait until someone (perhaps me) takes care of
the redirects.  Ideally in addition to simple "this place has moved"
HTML placeholders and manpages using the .so macro, a makefile target
to generate redirect directives for your apache configuration might
make sense.

In the meantime, having "man gitrepository-layout" is not the worst
wart in the world.

Cheers,
Jonathan